import React from 'react';
import { FormContextState, RefMethods } from '../providers/FormProvider';
import { LangProps } from '../translate/Lang';
import { ProviderProps as LangProviderProps } from 'use-lang';
export declare type WrapperProps<T> = FormContextState<T> & Partial<LangProviderProps<LangProps>>;
export declare const Wrapper: <T>(props: FormContextState<T> & Partial<LangProviderProps<LangProps>> & React.RefAttributes<RefMethods>) => JSX.Element;
