/// <reference types="react" />
import { CommonInputProps, FormTypes } from '..';
export interface CheckBoxProps<T> extends CommonInputProps<T> {
    type?: FormTypes.CheckBox;
    color?: 'primary' | 'secondary' | 'default' | undefined;
}
interface Props<T = unknown> {
    field: CheckBoxProps<T>;
}
export declare const Checkbox: ({ field }: Props) => JSX.Element;
export {};
