/// <reference types="react" />
import { CommonInputProps, FormTypes } from '..';
import { SizeType } from '../../providers/FormProvider';
interface ComponentProps {
    id: string;
    size?: SizeType;
    loading?: boolean;
}
export interface CustomInputProps<T> extends CommonInputProps<T> {
    type: FormTypes.Custom;
    Component: (props: ComponentProps) => JSX.Element;
}
interface Props<T = unknown> {
    field: CustomInputProps<T>;
}
export declare const CustomInput: ({ field }: Props) => JSX.Element;
export {};
