/// <reference types="react" />
import { CommonInputProps, FormTypes } from '..';
export interface OnlyTitleProps<T> extends CommonInputProps<T> {
    type?: FormTypes.OnlyTitle;
    className?: string;
}
interface Props<T = unknown> {
    field: OnlyTitleProps<T>;
}
export declare const OnlyTitle: (props: Props<unknown>) => JSX.Element;
export {};
