import React from 'react';
import { TransitionProps } from '@material-ui/core/transitions';
export interface CartelState {
    visible: boolean;
    titulo?: string;
    contenido?: string | null;
    onCerrar?: (confirmado: boolean) => void;
}
export interface Props {
    show: boolean;
    onClose?: (confirmado: boolean) => void;
    title?: string;
    content?: string;
    loading?: boolean;
}
export declare const Transition: React.ForwardRefExoticComponent<TransitionProps & {
    children?: React.ReactElement<any, any> | undefined;
} & React.RefAttributes<unknown>>;
declare const _default: React.MemoExoticComponent<({ show, onClose, title, content, loading }: Props) => JSX.Element>;
export default _default;
