/// <reference types="react" />
import { FieldProps } from '../components';
import { StepProps } from '../components/Step';
import { WrapperProps } from '../components/Wrapper';
import { RefMethods } from './FormProvider';
interface CreateFormType<T> {
    Form: (props: WrapperProps<T> & React.RefAttributes<RefMethods>) => JSX.Element;
    createFields: (props: FieldProps<T>[]) => FieldProps<T>[];
    createSteps: (props: StepProps<T>[]) => StepProps<T>[];
}
export declare const createFormCtx: <T>() => CreateFormType<T>;
export {};
