/// <reference types="react" />
export interface LangProps {
    submit: string;
    next: string;
    back: string;
    validationError: string;
    secure: {
        makeSecure: string;
        notSecure: string;
    };
    image: string;
    file: string;
    delete: string;
    autocomplete: {
        nooptions: string;
        loading: string;
    };
    accept: string;
    cancel: string;
    drop: {
        title: string;
        description: string;
    };
    selectOption: string;
}
export declare const LangProvider: (props: import("use-lang").ProviderProps<LangProps>) => JSX.Element, useLang: () => import("use-lang/build/hooks/useLang").UseLangReturn<LangProps>;
