/// <reference types="react" />
import { FormikContextType } from 'formik';
import { OptionsProps } from './OptionsInput';
import { CommonInputProps, FormTypes } from '..';
declare type AutoValue = OptionsProps[] | OptionsProps;
export interface AutoCompleteProps<T> extends CommonInputProps<T> {
    type?: FormTypes.Autocomplete;
    multiple?: boolean;
    loading?: boolean;
    options?: OptionsProps[] | false;
    onChangeText: (val: string) => void;
    placeholder?: string;
    onSelect?: (val: AutoValue, formik: FormikContextType<unknown>) => void;
}
interface Props<T = unknown> {
    field: AutoCompleteProps<T>;
}
export declare const AutoComplete: ({ field }: Props) => JSX.Element;
export {};
