/// <reference types="react" />
import { CommonInputProps, FormTypes } from '..';
export interface DateInputProps<T> extends CommonInputProps<T> {
    type: FormTypes.Date;
    format?: string;
}
interface Props<T = unknown> {
    field: DateInputProps<T>;
}
export declare const DateInput: ({ field }: Props) => JSX.Element;
export {};
