/// <reference types="react" />
import { CommonInputProps, FieldProps, FormTypes } from '..';
export interface MultipleInputProps<T> extends CommonInputProps<T> {
    type: FormTypes.Multiple;
    configuration: FieldProps<T>[];
}
interface Props<T = unknown> {
    field: MultipleInputProps<T>;
}
export declare const MultipleInput: ({ field }: Props) => JSX.Element;
export {};
