/// <reference types="react" />
import { CommonInputProps, FormTypes } from '..';
export interface SwitchInputProps<T> extends CommonInputProps<T> {
    type?: FormTypes.Switch;
    color?: 'primary' | 'secondary' | 'default' | undefined;
}
interface Props<T = unknown> {
    field: SwitchInputProps<T>;
}
export declare const SwitchInput: ({ field }: Props) => JSX.Element;
export {};
