import { FieldProps, StepProps } from '..';
import { FinalFormContext } from '../providers/FormProvider';
export declare type UseTableReturn<T> = Omit<FinalFormContext<T>, 'fields'> & {
    fields: FieldProps<T>[];
    steps: StepProps<T>[];
};
export declare const useForm: <T>() => UseTableReturn<T>;
